var request = getRequest(),
    patient = request.patient,
    totalCount = 0;

$(function(){
    getList();
});

function getList(isRefresh){
    var options = $.extend(janchaAPI.getListTableAjaxObj, {
        queryParams: queryParams,
        queryParamsType: "limit",
        pagination: true,
        paginationLoop: true,
        sidePagination: 'server',
        pageNumber: 1,
        pageSize: 10,
        responseHandler: function (res) {
//          var data = JSON.parse(res.data);
            return {
                rows: res.data,
//              total: data.total
            }
        },
        columns: [{
            field: '',
            title:'',
            formatter: function(val, row, index){
                var html = template('info_tmp', row);
                return html;
            }
        },{
            field: 'eventDate',
            title: '申请时间',
            class: 'c-999 pr20',
            align: 'right',
            formatter: function(val, row, index){
                return '<span class="pr10">'+val+'</span>';
            }
        }],
        // onClickRow: function(row, $el){
        //     document.location.href = "jw-prescription-detail.html?id="+row.id+"&patient="+patient;
        // }
    })
    $("#prescriptTable").bootstrapTable(options);
}

function queryParams(params) {
    return {
        page: params.offset/params.limit + 1,
        pageSize: params.limit,
        patient: patient
    };
}




